BeagleWksDRParserInternal::Shape Struct Reference documentation

BeagleWksDRParserInternal::Shape Struct Reference

Internal: the shape of BeagleWksDRParser. More...

## Public Member Functions
| Shape ()
| constructor

## Public Attributes
int | m_type
| the shape type
MWAWBox2f | m_box
| the shape bdbox
MWAWGraphicShape | m_shape
| the graphic shape ( for line, rect, ...)
MWAWEntry | m_entry
| the textbox or picture entry
long | m_dataSize
| the data size
MWAWGraphicStyle | m_style
| the style
MWAWFont | m_font
| the textbox font
MWAWParagraph::Justification | m_justify
| the textbox justification
double | m_interline
| the interline in percent
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<<

## Detailed Description

Internal: the shape of BeagleWksDRParser.

## Constructor & Destructor Documentation

## ◆ Shape()

BeagleWksDRParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f BeagleWksDRParserInternal::Shape::m_box

the shape bdbox

Referenced by operator<<, BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readShapePositions(), BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_dataSize

long BeagleWksDRParserInternal::Shape::m_dataSize

the data size

Referenced by operator<<, BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_entry

MWAWEntry BeagleWksDRParserInternal::Shape::m_entry

the textbox or picture entry

Referenced by Shape().

## ◆ m_extra

std::string BeagleWksDRParserInternal::Shape::m_extra

extra data

Referenced by operator<<, BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_font

MWAWFont BeagleWksDRParserInternal::Shape::m_font

the textbox font

Referenced by BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_interline

double BeagleWksDRParserInternal::Shape::m_interline

the interline in percent

Referenced by BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_justify

MWAWParagraph::Justification BeagleWksDRParserInternal::Shape::m_justify

the textbox justification

Referenced by BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_shape

MWAWGraphicShape BeagleWksDRParserInternal::Shape::m_shape

the graphic shape ( for line, rect, ...)

Referenced by BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_style

MWAWGraphicStyle BeagleWksDRParserInternal::Shape::m_style

the style

Referenced by operator<<, BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and Shape().

## ◆ m_type

int BeagleWksDRParserInternal::Shape::m_type

the shape type

Referenced by operator<<, BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and Shape().

The documentation for this struct was generated from the following file:

- BeagleWksDRParser.cxx